it-swarm-ja.com

MacOS Mojaveアップデート後にGitが機能しない(xcrun:error:アクティブな開発者パスが無効です(/ Library/Developer/CommandLineTools)

昨夜(2018年11月)私はmacOS Mojaveにアップデートしました、 

今朝、私は自分の仕事のコードベースにMacBook proのコマンドラインでナビゲートした。 

レポジトリに "git status"と入力してエラーを受け取りました。 

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
363
dustbuster

問題は、Xcodeのコマンドラインツールをアップデートする必要があることです。 

あなたの端末に戻ってヒットします。 

xcode-select --install

あなたはそれから受け取るでしょう: 

xcode-select: note: install requested for command line developer tools

Xcodeのコマンドラインツールを更新するようにウィンドウに表示されます。 

更新が完了したら、新しいターミナルウィンドウを開くと、開発ツールが返されます。 

追加: /メジャーアップデートまたはセミメジャーアップデートでは、コマンドラインツールを正しく機能させるためにそれらを更新する必要があります。アップデートがあればXcodeを確認してください。これはモハーベを超えています... 

657
dustbuster

しようとしたとき、私はソフトウェアがアップデートサーバーから入手できなかったといういくつかのエラーを得ました 

xcode-select --install

私のためにそれを修正したものはここに行っていました https://developer.Apple.com/download/more/ そしてCommand Line Tools (macOS 10.14) for Xcode 10をダウンロードしそれからそれを手動でインストールしました。

その後は、新しい端末を開いたときにエラーがなくなるはずです。

73
deef

私にとってxcode-select --resetはMojaveの解決策でした。

38
H6.

Dustbusterの答えに加えて、私はこのコマンドでXcodeフォルダへのパスを設定する必要がありました:

Sudo xcode-select -switch /Library/Developer/CommandLineTools
28

私にとってうまくいったのは次のとおりです。

Sudo xcode-select --reset

それから@ High6の答えのように:

Sudo xcodebuild -license

これは私がXcodeライセンスであると私が思うライセンスを明らかにします。を使用して一番下までスクロールします space (またはマウス)、agreeをタップします。

これは私にとってMacOS Mojave v 10.14でうまくいったことです。

28
briankip

Xcodeコマンドラインツールの部分をエラーメッセージから見つけ出しましたが、Xcodeを実行して追加のツールをインストールするためのプロンプトを表示した後、それらをインストールすると主張しましたが、新しい端末を開いた後も同じエラーが発生しました。

それで私は手動でxcode-select --installをしました、そしてその後それは私のために働きました。

25
P. Hurme

私にとって、私はxcodeをインストールしていません(Mojave OS上)。私は自分のMacでApp Storeに行きそれをダウンロードし、それから端末に戻ってgitとタイプしてenterを押すとうまくいった。

4
kiko carisse

私の場合、Xcodeではチェックされませんでした

あなたは次のようにそれを行うことができます:xcode-> Preferences and Locationsをタップして、フォロー画像としてを選択します

enter image description here

4
taha

これは私のために働く

Sudo xcode-select --reset 
Sudo xcodebuild -license

Xコードをインストールする必要があります。

2
Daniel

私のバージョンのXcodeは古すぎるし、コマンドラインツールをインストールしても役に立たないことがわかりました。これが私がしたことです:

  • 古いXCodeを完全にアンインストールしました
  • 私はApp Storeから最新のXCodeを再インストールしました
  • それだけでした。 Gitが復元されました。

これが他の誰かに役立つことを願っています...

2
Caleb Mbakwe

これを試して:

Sudo xcode-select --reset 
Sudo xcodebuild -license

またはこれ:

xcode-select --install
0

CatalinaとXcode-betaを使用している場合:

Sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer
0
Destry

xcodeを持っていない場合や、xcodeなしで手動でセットアップする場合。

  1. Sudo rm -rf /ライブラリ/ Developer/CommandLineTools
  2. https://developer.Apple.com/download/more/ およびXcode 10用のコマンドラインツール(macOS 10.14)をダウンロードしてから手動でインストールする。
  3. セットアップコマンドラインツール 

簡単に

else

  1. xcode-select --install。これで十分です。
0